
From: "Andi Kleen" <ak@suse.de>

Export phys_proc_id 

This is useful for the powernow-k8 driver which needs to know that two CPUs
share a die.  

It cannot use cpu_sibling_map anymore, so this is an alternative.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/smpboot.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/x86_64/kernel/smpboot.c~x86_64-export-phys_proc_id arch/x86_64/kernel/smpboot.c
--- 25/arch/x86_64/kernel/smpboot.c~x86_64-export-phys_proc_id	2004-11-28 01:54:45.116738320 -0800
+++ 25-akpm/arch/x86_64/kernel/smpboot.c	2004-11-28 01:54:45.120737712 -0800
@@ -58,6 +58,7 @@
 int smp_num_siblings = 1;
 /* Package ID of each logical CPU */
 u8 phys_proc_id[NR_CPUS] = { [0 ... NR_CPUS-1] = BAD_APICID };
+EXPORT_SYMBOL(phys_proc_id);
 
 /* Bitmask of currently online CPUs */
 cpumask_t cpu_online_map;
_
